/**
 * @file	cpx_interface.h
 *
 * @author	Francois Clad
 * @date	2012-07-30
 * @version	0.1
 */

#ifndef _CPX_INTERFACE_H_
#define _CPX_INTERFACE_H_

/* Standard C libraries */
#include <stdio.h>
#include <stdlib.h>

/* CPLEX solver */
#include <ilcplex/cplex.h>

#include "base.h"

#define PROBLEM_NAME "Weight inference"

#define CONF_DELETE	0
#define CONF_RELAX	1

#define CONFLICT	CONF_DELETE

void cpx_solve (char *filename, char *outfile, char *resfile);

#endif // _CPX_INTERFACE_H_

